View Issue Details

IDProjectCategoryView StatusLast Update
0000219DarkRadiantRendererpublic16.06.2022 13:43
ReporterSneaksieDave Assigned Togreebo  
PrioritynoneSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.0 
Target Version3.0.0Fixed in Version3.0.0 
Summary0000219: Realtime shadow mode
DescriptionI wasn't sure whether to track this or not, but I know that sometimes things don't happen unless they are tracked (just had a perfect example of this at work today - a large feature from our software I've been waiting on, which is known by all, talked about at meetings, but not tracked - kind've a "so obvious that it's not necessary" situation - sure enough, today, the developer tracked it, as a note to himself because he forgot), and more importantly, DarkRadiant is so fast overtaking DoomEd that I assume this is moving closer and closer to the front of the queue.

That said, if this is to be part of some larger, fully detailed and spec'd "Renderer Rewrite" entry, then we can just close this out and forget it/merge it/whatever. But I thought I'd put this up because I just had a thought on one particular facet of it.

The reasons to use DoomEd at all are dwindling. Yay. I even felt uncomfortable using it over the past few days for some shadow-dependant stuff. However, I did need it for that - shadows.

So I'm thinking... well, I'm sure the DR renderer is not nearly as fast as the Doom renderer (evidence of this can already be seen even on a small map), so perhaps shadows aren't really a viable option at this point - it would drag the rendering to a crawl. But then it occurred to me, why not have a lit shadow *mode*, which is separate from the existing lit (noshadow) mode? That way it exists, and prior to the renderer being updated someday in the future, but the user is not forced to suffer with a slow framerate, and instead can enable it only when needed for shadow work.

Anyway, that's the idea, a separate lit shadow mode, the only real reason I tracked this at this time.
TagsNo tags attached.

Relationships

related to 0005583 closedgreebo Shader passes group renderables per Light 

Activities

orbweaver

orbweaver

20.03.2007 18:24

developer   ~0000437

Unfortunately to implement shadows at all requires a renderer rewrite, because it would mean performing the render on a light-by-light basis (like Doom 3 does) rather than testing each surface against a global list of lights. It is therefore not possible to implement a quick-n-dirty shadow mode (or at least to do so would require a similar amount of work to actually doing the real rewrite).

Related Changesets

DarkRadiant: shadow_mapping 172cae0f

2022-03-20 14:38:55

greebo

Details Diff
0000219: Add FrameBuffer object to hold the shadow map buffer. Affected Issues
0000219
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
add - radiantcore/rendersystem/backend/FrameBuffer.h Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderResult.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: shadow_mapping 8f32f038

2022-03-20 15:51:41

greebo

Details Diff
0000219: WIP commit, adding dummy shadow map VP/FP and corresponding C++ wrapper. Add texture atlas and rectangle class. Affected Issues
0000219
add - install/gl/shadowmap_fp.glsl Diff File
add - install/gl/shadowmap_vs.glsl Diff File
add - libs/render/Rectangle.h Diff File
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/rendersystem/backend/FrameBuffer.h Diff File
mod - radiantcore/rendersystem/backend/GLProgramFactory.cpp Diff File
mod - radiantcore/rendersystem/backend/GLProgramFactory.h Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.h Diff File
add - radiantcore/rendersystem/backend/glprogram/ShadowMapProgram.cpp Diff File
add - radiantcore/rendersystem/backend/glprogram/ShadowMapProgram.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: shadow_mapping fcd91857

2022-03-20 15:52:17

greebo

Details Diff
0000219: ContinuousBuffer keeps track of the allocated elements Affected Issues
0000219
mod - libs/render/ContinuousBuffer.h Diff File

DarkRadiant: shadow_mapping 8745a66e

2022-03-20 16:31:30

greebo

Details Diff
0000219: More WIP, this isn't crashing anymore Affected Issues
0000219
mod - install/gl/shadowmap_vs.glsl Diff File
mod - radiantcore/rendersystem/backend/FrameBuffer.h Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.h Diff File

DarkRadiant: shadow_mapping 86eedfdd

2022-03-20 17:14:36

greebo

Details Diff
0000219: Pass the light origin to the shadow map program, to transform vertices into light space. Affected Issues
0000219
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/glprogram/GLSLProgramBase.cpp Diff File
mod - radiantcore/rendersystem/backend/glprogram/ShadowMapProgram.cpp Diff File
mod - radiantcore/rendersystem/backend/glprogram/ShadowMapProgram.h Diff File

DarkRadiant: shadow_mapping d194a2aa

2022-03-24 15:01:36

greebo

Details Diff
0000219: Draw geometry using glDrawElementsInstancedBaseVertex, port GLSL shader from TDM Affected Issues
0000219
mod - install/gl/shadowmap_fp.glsl Diff File
mod - install/gl/shadowmap_vp.glsl Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/ObjectRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/ObjectRenderer.h Diff File

DarkRadiant: shadow_mapping 8db5ae50

2022-03-24 16:15:26

greebo

Details Diff
0000219: Bind shadow map information to the interaction shader Affected Issues
0000219
mod - install/gl/interaction_fp.glsl Diff File
mod - radiantcore/rendersystem/backend/FrameBuffer.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLState.h Diff File
mod - radiantcore/rendersystem/backend/glprogram/GLSLBumpProgram.cpp Diff File
mod - radiantcore/rendersystem/backend/glprogram/GLSLBumpProgram.h Diff File

DarkRadiant: shadow_mapping 943846a1

2022-03-24 17:26:00

greebo

Details Diff
0000219: First port of the shadow map shading code from TDM. It is messed up, but it appears to be doing some sort of shadowing. Affected Issues
0000219
mod - install/gl/interaction_fp.glsl Diff File
mod - install/gl/interaction_vp.glsl Diff File
mod - radiantcore/rendersystem/backend/glprogram/GLSLBumpProgram.cpp Diff File
mod - radiantcore/rendersystem/backend/glprogram/GLSLBumpProgram.h Diff File

DarkRadiant: shadow_mapping c00fd79e

2022-03-25 13:08:49

greebo

Details Diff
0000219: Run the shadow map pass before the regular depth fill pass Affected Issues
0000219
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.h Diff File
mod - radiantcore/rendersystem/backend/SceneRenderer.cpp Diff File

DarkRadiant: shadow_mapping 4dcebf69

2022-03-25 14:23:03

greebo

Details Diff
0000219: Port the vertex clipping code to DR. Affected Issues
0000219
mod - install/gl/shadowmap_vp.glsl Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File

DarkRadiant: shadow_mapping e51121e1

2022-03-25 14:44:21

greebo

Details Diff
0000219: Port the error correction terms from the TDM shaders.
Don't cull out-of-view objects for shadow-casting lights
Affected Issues
0000219
mod - install/gl/interaction_fp.glsl Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File

DarkRadiant: shadow_mapping 62e924da

2022-03-25 14:51:06

greebo

Details Diff
0000219: Add alpha-test to shadow map shader Affected Issues
0000219
mod - install/gl/shadowmap_fp.glsl Diff File
mod - install/gl/shadowmap_vp.glsl Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File

DarkRadiant: shadow_mapping 8a6be0b0

2022-03-25 15:19:50

greebo

Details Diff
0000219: Refactoring to reduce code duplication Affected Issues
0000219
mod - include/iglprogram.h Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.h Diff File
mod - radiantcore/rendersystem/backend/glprogram/GLSLDepthFillAlphaProgram.h Diff File
mod - radiantcore/rendersystem/backend/glprogram/ShadowMapProgram.h Diff File

DarkRadiant: shadow_mapping da5cffcf

2022-03-25 15:31:09

greebo

Details Diff
0000219: Refactoring to make the main render method more compact Affected Issues
0000219
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.h Diff File

DarkRadiant: shadow_mapping 52e6663f

2022-03-25 16:22:17

greebo

Details Diff
0000219: LightInteractions list is a member now.
Keep the render result as member variable, move to the caller when done.
Affected Issues
0000219
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.h Diff File

DarkRadiant: shadow_mapping 0b4cfeba

2022-03-25 16:57:29

greebo

Details Diff
0000219: Assemble a list of casting lights for the shadow mapping stage Affected Issues
0000219
mod - include/irender.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.h Diff File

DarkRadiant: shadow_mapping 9887f63f

2022-03-25 17:22:59

greebo

Details Diff
0000219: Render up to 6 shadow casting lights Affected Issues
0000219
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.h Diff File

DarkRadiant: shadow_mapping f2bf6dac

2022-03-25 19:52:57

greebo

Details Diff
0000219: Fix RenderPreviews drawing all black Affected Issues
0000219
mod - libs/render/NopRenderView.h Diff File
mod - libs/render/NopVolumeTest.h Diff File

DarkRadiant: shadow_mapping c71edf0f

2022-03-26 04:01:51

greebo

Details Diff
0000219: Fix a porting error in a piece of code used to calculate the shadow map region Affected Issues
0000219
mod - radiantcore/rendersystem/backend/glprogram/GLSLBumpProgram.cpp Diff File

DarkRadiant: shadow_mapping e740d99d

2022-03-26 04:22:34

greebo

Details Diff
0000219: Increase shadow map frame buffer size Affected Issues
0000219
mod - radiantcore/rendersystem/backend/FrameBuffer.h Diff File

DarkRadiant: shadow_mapping 8a6ee4d4

2022-03-26 04:27:09

greebo

Details Diff
0000219: Rename interaction program object Affected Issues
0000219
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/rendersystem/backend/GLProgramFactory.cpp Diff File
mod - radiantcore/rendersystem/backend/InteractionPass.cpp Diff File
mod - radiantcore/rendersystem/backend/InteractionPass.h Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: shadow_mapping a22844c5

2022-03-26 04:45:44

greebo

Details Diff
0000219: Clean up GLSL program classes and interfaces Affected Issues
0000219
mod - include/iglprogram.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.h Diff File
mod - radiantcore/rendersystem/backend/glprogram/GLSLCubeMapProgram.cpp Diff File
mod - radiantcore/rendersystem/backend/glprogram/GLSLCubeMapProgram.h Diff File
mod - radiantcore/rendersystem/backend/glprogram/GenericVFPProgram.h Diff File
mod - radiantcore/rendersystem/backend/glprogram/InteractionProgram.h Diff File

DarkRadiant: shadow_mapping 8b2cc39c

2022-03-26 04:57:18

greebo

Details Diff
0000219: Rename GLSL program types Affected Issues
0000219
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/rendersystem/backend/DepthFillPass.cpp Diff File
mod - radiantcore/rendersystem/backend/DepthFillPass.h Diff File
mod - radiantcore/rendersystem/backend/GLProgramFactory.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - radiantcore/rendersystem/backend/glprogram/GenericVFPProgram.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: shadow_mapping 75b32a3c

2022-03-26 04:59:03

greebo

Details Diff
0000219: Remove unused depth fill program Affected Issues
0000219
mod - radiantcore/rendersystem/backend/GLProgramFactory.cpp Diff File
mod - radiantcore/rendersystem/backend/GLProgramFactory.h Diff File
rm - radiantcore/rendersystem/backend/glprogram/GLSLDepthFillProgram.cpp Diff File
rm - radiantcore/rendersystem/backend/glprogram/GLSLDepthFillProgram.h Diff File

DarkRadiant: shadow_mapping 917acbd4

2022-03-26 05:01:47

greebo

Details Diff
0000219: Depth fill program file names adjusted Affected Issues
0000219
rm - install/gl/zfill_fp.glsl Diff File
mod - radiantcore/rendersystem/backend/DepthFillPass.h Diff File
mod - radiantcore/rendersystem/backend/glprogram/DepthFillAlphaProgram.cpp Diff File

DarkRadiant: shadow_mapping 7b03fa61

2022-03-26 07:16:17

greebo

Details Diff
0000219: Add toggle button to enable/disable shadows Affected Issues
0000219
mod - include/irender.h Diff File
add - install/bitmaps/lightingModeWithShadows.png Diff File
mod - install/ui/camwnd.fbp Diff File
mod - install/ui/camwnd.xrc Diff File
mod - install/user.xml Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CameraWndManager.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.h Diff File

DarkRadiant: shadow_mapping 16bc9c10

2022-03-26 07:22:28

greebo

Details Diff
0000219: Respect the registry setting in LightingModeRenderer. Affected Issues
0000219
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File

DarkRadiant: shadow_mapping 02f23ea4

2022-03-26 07:48:46

greebo

Details Diff
0000219: Fix crash when opening render previews Affected Issues
0000219
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.h Diff File

DarkRadiant: shadow_mapping b3e3ba8d

2022-03-26 13:33:29

greebo

Details Diff
0000219: Add interface to IRenderableObject to be able to skip models with "noshadows" set on them. Affected Issues
0000219
mod - include/irender.h Diff File
mod - include/irenderableobject.h Diff File
mod - libs/render/RenderableBox.h Diff File
mod - libs/render/RenderableGeometry.h Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/model/RenderableModelSurface.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/backend/LightInteractions.cpp Diff File
mod - radiantcore/rendersystem/backend/WindingRenderer.h Diff File

DarkRadiant: shadow_mapping 11bb1cdd

2022-03-26 13:33:44

greebo

Details Diff
0000219: Fix crash in LightingModeRenderer. Affected Issues
0000219
mod - radiantcore/rendersystem/backend/LightingModeRenderer.cpp Diff File

DarkRadiant: shadow_mapping 85a64500

2022-03-26 13:47:21

greebo

Details Diff
0000219: Add TDM-specific support for noshadows_lit, since that is the setting of most wall torches Affected Issues
0000219
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.cpp Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.h Diff File

DarkRadiant: shadow_mapping aee907b2

2022-03-26 15:44:19

greebo

Details Diff
0000219: Fix a logic error leading to unprepared OpenGLShader instances with _geometryUpdatePending == true Affected Issues
0000219
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/RenderableWinding.h Diff File
mod - radiantcore/rendersystem/backend/FullBrightRenderer.cpp Diff File

DarkRadiant: shadow_mapping 635e6a7b

2022-03-27 06:37:22

greebo

Details Diff
0000219: Natvis tweaks Affected Issues
0000219
mod - tools/msvc/natvis/mathlib.natvis Diff File

DarkRadiant: shadow_mapping 5ad75e5c

2022-03-27 11:17:15

greebo

Details Diff
0000219: Fix a sync range problem in WindingRenderer. Removing a winding from the buffer has to invalidate all data to the right. Affected Issues
0000219
mod - radiantcore/rendersystem/backend/WindingRenderer.h Diff File

Issue History

Date Modified Username Field Change
20.03.2007 15:50 SneaksieDave New Issue
20.03.2007 18:24 orbweaver Note Added: 0000437
20.03.2007 18:24 orbweaver Status new => acknowledged
20.03.2021 09:22 orbweaver Assigned To => orbweaver
20.03.2021 09:22 orbweaver Status acknowledged => confirmed
24.03.2022 17:45 greebo Assigned To orbweaver => greebo
24.03.2022 17:46 greebo Status confirmed => assigned
24.03.2022 17:48 greebo Summary Realtime shadow mode? => Realtime shadow mode
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 172cae0f
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 8f32f038
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping fcd91857
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 8745a66e
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 86eedfdd
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping d194a2aa
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 8db5ae50
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 943846a1
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping c00fd79e
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 4dcebf69
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping e51121e1
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 62e924da
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 8a6be0b0
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping da5cffcf
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 52e6663f
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 0b4cfeba
25.03.2022 17:45 greebo Changeset attached => DarkRadiant shadow_mapping 9887f63f
26.03.2022 04:21 greebo Changeset attached => DarkRadiant shadow_mapping f2bf6dac
26.03.2022 04:21 greebo Changeset attached => DarkRadiant shadow_mapping c71edf0f
26.03.2022 07:22 greebo Changeset attached => DarkRadiant shadow_mapping e740d99d
26.03.2022 07:22 greebo Changeset attached => DarkRadiant shadow_mapping 8a6ee4d4
26.03.2022 07:22 greebo Changeset attached => DarkRadiant shadow_mapping a22844c5
26.03.2022 07:22 greebo Changeset attached => DarkRadiant shadow_mapping 8b2cc39c
26.03.2022 07:22 greebo Changeset attached => DarkRadiant shadow_mapping 75b32a3c
26.03.2022 07:22 greebo Changeset attached => DarkRadiant shadow_mapping 917acbd4
26.03.2022 07:22 greebo Changeset attached => DarkRadiant shadow_mapping 7b03fa61
26.03.2022 07:22 greebo Changeset attached => DarkRadiant shadow_mapping 16bc9c10
26.03.2022 07:48 greebo Changeset attached => DarkRadiant shadow_mapping 02f23ea4
26.03.2022 13:47 greebo Changeset attached => DarkRadiant shadow_mapping b3e3ba8d
26.03.2022 13:47 greebo Changeset attached => DarkRadiant shadow_mapping 11bb1cdd
26.03.2022 13:47 greebo Changeset attached => DarkRadiant shadow_mapping 85a64500
26.03.2022 20:29 greebo Changeset attached => DarkRadiant shadow_mapping aee907b2
27.03.2022 11:17 greebo Changeset attached => DarkRadiant shadow_mapping 635e6a7b
27.03.2022 11:17 greebo Changeset attached => DarkRadiant shadow_mapping 5ad75e5c
27.03.2022 11:18 greebo Status assigned => resolved
27.03.2022 11:18 greebo Resolution open => fixed
27.03.2022 11:18 greebo Fixed in Version => 3.0.0
27.03.2022 11:18 greebo Target Version => 3.0.0
16.06.2022 13:43 greebo Relationship added related to 0005583